Players
Overview
Use this endpoint to retrieve the list of players.
This endpoint returns single competitors only.
It does not return teams or doubles pairings.
Each player includes an SR competitor ID in the format sr:competitor:{id}.
Request
URL
GET https://golf.livedata.sportradar.com/golf/v1/static/players
Example request
GET /golf/v1/static/players HTTP/1.1
Host: golf.livedata.sportradar.com
Authorization: Bearer <JWT_TOKEN>Response example
Response fields
players
Array
Array of players
yes
array of players was a root element of the response
players[].id
Integer
Numeric ID of the player
yes
playerId
players[].sr_player_id
String
SR ID of the player
yes
-
players[].country
String
3-character FIFA country code
yes
country
players[].display_name
String
Full player name used for display
yes
displayName
players[].first_name
String
First name of the player
yes
firstName
players[].last_name
String
Last name of the player
yes
lastName
players[].is_amateur
Boolean
Indicates whether the player is amateur
yes
isAmateur
players[].player_pga_tour_id
String
PGA Tour player identifier
no
yes
playerPGATourId
players[].gender
String
Player gender: MALE or FEMALE.
yes
gender
players[].birthdate
Date
Player birth date
yes
dateOfBirth
pagination
Object
Pagination details for the response.
yes
-
pagination.page
Integer
Current result page.
yes
-
pagination.page_size
Integer
Maximum results returned on this page.
yes
-
pagination.total
Integer
Total players across all result pages.
yes
-
Related endpoints
Last updated
Was this helpful?